IdentifierType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface IdentifierType<T>

All Superinterfaces:
  Serializable, Type

All Known Subinterfaces:
  DiscriminatorType<T>

All Known Implementing Classes:
  BigIntegerType, BooleanType, ByteType, CharacterType, CharBooleanType, CustomType, DateType, IntegerType, LongType, NumericBooleanType, ShortType, StringType, TrueFalseType, UrlType, YesNoType

    public interface IdentifierType<T>

extends Type

Additional contract for a `Type` may be used for a discriminator. THis contract is used to process the string representation as presented in metadata, especially in `XML` files.

Method Summary
`T` | `stringToObject(String xml)` Convert the value from the mapping file to a Java object.

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Method Detail

### stringToObject

    T stringToObject(String xml)
                     throws Exception

  Convert the value from the mapping file to a Java object.

  Parameters:
    `xml` - the value of `discriminator-value` or `unsaved-value` attribute
  Returns:
    The converted value of the string representation.
  Throws:
    `Exception` - Indicates a problem converting from the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.